##
## THIS FILE IS UNDER PUPPET CONTROL. DON'T EDIT IT HERE.
## USE: git clone git+ssh://$USER@puppet.debian.org/srv/puppet.debian.org/git/dsa-puppet.git
##

Use common-debian-service-https-redirect * mon.debian.org

<Macro vhost-inner-mon.debian.org>
  ServerAdmin debian-admin@lists.debian.org

  ErrorLog /var/log/apache2/mon.debian.org-error.log
  CustomLog /var/log/apache2/mon.debian.org-access.log privacy

  # Shipped by the package
  Include "/etc/apache2/conf-available/icingaweb2.conf"

  RedirectMatch ^/$ /icingaweb2/

  <Location />
    AuthName "Mon Access"
    AuthType Basic
    AuthBasicProvider file anon
    AuthUserFile /etc/apache2/mon-htpasswd

    Anonymous_MustGiveEmail off
    Anonymous_LogEmail off
    Anonymous dsa-guest

    require valid-user
  </Location>
</Macro>

<VirtualHost *:443>
  ServerName mon.debian.org

  Use common-debian-service-ssl mon.debian.org
  Use common-ssl-HSTS
  Use vhost-inner-mon.debian.org
</VirtualHost>

<% if scope.function_onion_global_service_hostname(['mon.debian.org']) -%>
<VirtualHost *:80>
  ServerName <%= scope.function_onion_global_service_hostname(['mon.debian.org']) %>
  Use vhost-inner-mon.debian.org
</VirtualHost>
<% end -%>
<% if scope.function_onionv3_global_service_hostname(['mon.debian.org']) -%>
<VirtualHost *:80>
  ServerName <%= scope.function_onionv3_global_service_hostname(['mon.debian.org']) %>
  Use vhost-inner-mon.debian.org
</VirtualHost>
<% end -%>

# vim:set syn=apache:
